Bug 825029 - [eap6] new child resource is not discovered immediately
[eap6] new child resource is not discovered immediately
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Documentation (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity medium (vote)
: ---
: JON 3.1.0
Assigned To: Deon Ballard
Mike Foley
:
Depends On:
Blocks: jon310-sprint11/rhq44-sprint11
  Show dependency treegraph
 
Reported: 2012-05-24 17:04 EDT by Ian Springer
Modified: 2013-08-05 20:42 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 818522
Environment:
Last Closed: 2013-02-28 19:32:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2012-05-24 17:04:48 EDT
Deon, can you please add small note to uthe JON docs on creating child Resources along the lines of:

Note, it may take as long as a few minutes for the newly added child Resource to show up in your inventory.

I've already updated the community docs:

http://rhq-project.org/display/RHQ/Inventory#Inventory-ChildResources

Thanks,
Ian

+++ This bug was initially created as a clone of Bug #818522 +++

Description of problem: I am experiencing very slow discovery of new child resources. Once I add a child resource, I can almost immediately detect it via EAP CLI, but sometimes it takes up to 10 minutes 'until it is discovered by agent.


This applies to creating new web connector, JMS topic/queue for example.

Version-Release number of selected component (if applicable):
Version: 4.4.0-SNAPSHOT
Build Number: 2484565
EAP6 ER6

How reproducible:mostly on some resources/not sure


Steps to Reproduce:
1. Import EAP6 standalone, create web connector for example
2. keep refreshing inventory 'till connector appears
  
Actual results: it takes up to 10 minutes, there are some suspects in agent.log, see attachment


Expected results: resource gets discovered immediately 


Additional info: If you cannot reproduce, try adding/removing resource a few times.
Comment 2 Filip Brychta 2012-08-09 04:48:18 EDT
It seems that this problem can occure for any type of child resource. Would it be possible to add Ian's note 'it may take as long as a few minutes for the newly added child Resource to show up in your inventory' to some chapter, where creating child resource is described in general?
Comment 3 Deon Ballard 2013-02-28 19:32:21 EST
Mass closure.

Note You need to log in before you can comment on or make changes to this bug.